/*********************************************************************************************
Sample program for OpenGL vertex command simulation
Promit Roy
Created: 9/27/02
Last Modified: 9/28/02

Header file for the Direct3D Vertex Command Emulator (yeah, that's its name now). Put this in
the include directory for any project and incldue the corresponding source file d3dverts.cpp,
and you will be able to use those oh so useful d3dVertex* functions and their friends.
*********************************************************************************************/

#ifndef _D3DVERTS_H_
#define _D3DVERTS_H_

#include <d3d8.h>

//Definitions
//The start vertex list array size, and also how much to expand the array each time
//To change the value, simply define it before including the header
#ifndef MIN_VERTEX_LIST_SIZE
#define MIN_VERTEX_LIST_SIZE 2048
#endif


//Function prototypes for the vertex functions
void d3dBegin( D3DPRIMITIVETYPE Type, IDirect3DDevice8* pDevice );	//Does NOT call pDevice->Begin()!
void d3dVertex3f( float x, float y, float z );
void d3dNormal3f( float nx, float ny, float nz );
void d3dTexCoord2f( float tu, float tv );
void d3dColor4f( float a, float r, float g, float b );	//Notice that the params are in ARGB order
void d3dColor4ub( unsigned char a, unsigned char r, unsigned char g, unsigned char b );
void d3dEnd();

#endif